import request from '@/utils/request'

// 查询埋点操作记录列表
export function approvalPostlist(query) {
  return request({
    url: '/sfa/approvalPost/list',
    method: 'GET',
    params: query
  })
}

// 查询埋点操作记录详细
export function getBuryingPoint(buryingPointId) {
  return request({
    url: '/buryingPoint/buryingPoint/' + buryingPointId,
    method: 'get'
  })
}

// 新增埋点操作记录
export function addApprovalPost(data) {
  return request({
    url: '/sfa/approvalPost',
    method: 'post',
    data: data
  })
}

// 修改埋点操作记录
export function updateApprovalPost(data) {
  return request({
    url: '/sfa/approvalPost',
    method: 'put',
    data: data
  })
}

// 删除埋点操作记录
export function delAprovalPost(approvalPostIds) {
  return request({
    url: '/sfa/approvalPost/' + approvalPostIds,
    method: 'delete'
  })
}
